cURL
curl --request POST \
--url https://api.finosu.com/scheduled-calls/{id}/cancel \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.finosu.com/scheduled-calls/{id}/cancel"
headers = {"X-API-Key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.finosu.com/scheduled-calls/{id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"customerId": "<string>",
"scheduledTime": "<string>",
"status": "<string>",
"callId": "<string>",
"postProcessingFlags": [
"<string>"
]
}{
"error": 123,
"message": "<string>"
}Scheduled Calls
Cancel Scheduled Call
Cancels a specific scheduled call by ID
POST
/
scheduled-calls
/
{id}
/
cancel
cURL
Authorizations
Path Parameters
ID of scheduled call to cancel
Response
Scheduled call canceled
Identification number of the scheduled call
ID of the customer
Scheduled time of the call
Status of the scheduled call
Identification number of the call if the call has been executed
Array of post-processing flags from the associated call. Common flags include: DNC (Do Not Call), COMPLAINT, MESSAGE_LEFT, VOICEMAIL_CONNECT, RPC (Right Party Contact), THIRD_PARTY_CONTACT, WRONG_NUMBER, DECEASED, INCARCERATED, MILITARY, BANKRUPTCY, CIP_PASSED, CIP_FAILED, TRANSFER, CALLBACK_REQUEST, and others